# Enum Class VulkanCullModeFlag

java.lang.Object
java.lang.Enum<VulkanCullModeFlag>
com.io7m.jcoronado.api.VulkanCullModeFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanCullModeFlag>`, `Constable`

public enum VulkanCullModeFlag extends Enum<VulkanCullModeFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkCullModeFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_CULL_MODE_BACK_BIT`
  Specifies that back-facing triangles are discarded
  `VK_CULL_MODE_FRONT_AND_BACK`
  Specifies that all triangles are discarded
  `VK_CULL_MODE_FRONT_BIT`
  Specifies that front-facing triangles are discarded
  `VK_CULL_MODE_NONE`
  Specifies that no triangles are discarded

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanCullModeFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanCullModeFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_CULL_MODE_NONE

    public static final VulkanCullModeFlag VK_CULL_MODE_NONE
    Specifies that no triangles are discarded

  - ### VK_CULL_MODE_FRONT_BIT

    public static final VulkanCullModeFlag VK_CULL_MODE_FRONT_BIT
    Specifies that front-facing triangles are discarded

  - ### VK_CULL_MODE_BACK_BIT

    public static final VulkanCullModeFlag VK_CULL_MODE_BACK_BIT
    Specifies that back-facing triangles are discarded

  - ### VK_CULL_MODE_FRONT_AND_BACK

    public static final VulkanCullModeFlag VK_CULL_MODE_FRONT_AND_BACK
    Specifies that all triangles are discarded

- ## Method Details

  - ### values

    public static VulkanCullModeFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanCullModeFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant